Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface ServerRuntimeMBean

public interface ServerRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean, weblogic.health.HealthFeedback, ServerStates

Provides methods for retrieving runtime information about a server instance and for transitioning a server from one state to another.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.runtime.ServerStates
`ACTIVATE_LATER, FAILED, FAILED_NOT_RESTARTABLE, FAILED_RESTARTING, RESUMING, RUNNING, SHUTDOWN, SHUTDOWN_IN_PROCESS, SHUTDOWN_PENDING, SHUTTING_DOWN, STANDBY, STARTING, SUSPENDING, UNKNOWN`

Method Summary
`void` | `forceShutdown()` Force shutdown the server.
`long` | `getActivationTime()` Return the time when the server was started.
`int` | `getAdministrationPort()` Return the administration port on which this server is listening for
`java.lang.String` | `getAdminServerHost()` Return the address on which admin server is listening for connections.
`int` | `getAdminServerListenPort()` Return the port on which admin server is listening for connections.
`ClusterRuntimeMBean` | `getClusterRuntime()` Return an mbean which represents this server's view of its cluster, if any.
`java.lang.String` | `getCurrentDirectory()` Returns the absolute path of the Server's "user.dir" or in other words the directory from which the server was started.
`weblogic.health.HealthState` | `getHealthState()` For Server Health Monitoring.
`java.lang.String` | `getJVMID()` Return the JVMID of the server.
`JVMRuntimeMBean` | `getJVMRuntime()` Return the JVMRuntimeMBean for this server.
`java.lang.String` | `getListenAddress()` Return the address on which this server is listening for connections.
`int` | `getListenPort()` Return the port on which this server is listening for connections.
`int` | `getOpenSocketsCurrentCount()` Return the current number sockets registered for socket muxing on this server.
`int` | `getRestartsTotalCount()` Return the total number of restarts for this server since the cluster was last activated.
`ServerSecurityRuntimeMBean` | `getServerSecurityRuntime()` Return the ServerSecurityRuntimeMBean for this server.
`long` | `getSocketsOpenedTotalCount()` Return the total number of registrations for socket muxing on this sever.
`java.lang.String` | `getSSLListenAddress()` Return the address on which this server is listening for connections.
`int` | `getSSLListenPort()` Return the port on which this server is listening for SSL connections.
`java.lang.String` | `getState()` Returns current state of the server.
`java.lang.String` | `getWeblogicVersion()` Return the version of the server
`boolean` | `isAdministrationPortEnabled()` Return if the administrationPort is enabled on the server
`boolean` | `isAdminServer()` Checks if the server is an administrator server.
`boolean` | `isAdminServerListenPortSecure()` Return the secureType on which admin server is listening for connections.
`boolean` | `isListenPortEnabled()` Return if the default listenPort is enabled on the server
`boolean` | `isSSLListenPortEnabled()` Return if the default lSSListenPort is enabled on the server
`void` | `setHealthState(int state, java.lang.String reason)` For Server Health Monitoring.
`void` | `shutdown()` Gracefully shutdown the server after handling inflight work.
`void` | `shutdown(int timeout, boolean ignoreSessions)` Gracefully shutdown the server after handling inflight work.
`void` | `start()` Deprecated. In a future release, the lock/unlock feature will be replaced by a suspend/resume feature.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### start

    public void start()

  Deprecated. In a future release, the lock/unlock feature will be replaced by a suspend/resume feature.
  Unlocks a server and enables it to receive new requests.

  Servers can be locked with the `java weblogic.Admin LOCK` command. In a locked state, a server instance accepts only administrative logins.

### shutdown

    public void shutdown()
                  throws weblogic.server.ServerLifecycleException

  Gracefully shutdown the server after handling inflight work.

  See Also:
    `shutdown(int, boolean)`

### shutdown

    public void shutdown(int timeout,
                         boolean ignoreSessions)
                  throws weblogic.server.ServerLifecycleException

  Gracefully shutdown the server after handling inflight work. The following inflight work is allowed to complete before shutdown:
  - Pending transaction's and TLOG checkpoint
  - Pending HTTP sessions
  - Pending JMS work
  - Pending work in the execute queues
  - RMI requests with transaction context
  Further admin calls are accepted while the server is completing inflight work. For example a forceShutdown command can be issued to quickly shutdown the server if graceful shutdown takes a long time.

  Parameters:
    `timeout` - Number of seconds to wait before aborting inflight work and shutting down the server.
    `ignoreSessions` - `true` indicates ignore pending HTTP sessions during inflight work handling.
  Throws:
    weblogic.server.ServerLifecycleException - Thrown if the server cannot gracefully shutdown. Use the forceShutdown command to shutdown the server.

### forceShutdown

    public void forceShutdown()
                       throws weblogic.server.ServerLifecycleException

  Force shutdown the server. This method rejects new requests and fails pending requests.

  Throws:
    weblogic.server.ServerLifecycleException - Thrown when the server cannot force shutdown due to a fatal exception. Even after this exception is thrown indicating failure the server exits after ServerLifeCycleTimeoutVal seconds defined in the ServerMBean.

### getState

    public java.lang.String getState()

  Returns current state of the server.

  Returns:
    The state value
  See Also:
    `ServerStates`

### getActivationTime

    public long getActivationTime()

  Return the time when the server was started.

  Returns:
    The activationTime value

### getListenAddress

    public java.lang.String getListenAddress()

  Return the address on which this server is listening for connections. For example this might return the string: santiago/172.17.9.220

  Returns:
    The listenAddress value

### getListenPort

    public int getListenPort()

  Return the port on which this server is listening for connections.

  Returns:
    The listenPort value

### getSSLListenPort

    public int getSSLListenPort()

  Return the port on which this server is listening for SSL connections.

  Returns:
    The sSLListenPort value

### getAdministrationPort

    public int getAdministrationPort()

  Return the administration port on which this server is listening for

  Returns:
    The administrationPort value

### getSSLListenAddress

    public java.lang.String getSSLListenAddress()

  Return the address on which this server is listening for connections. For example this might return the string: santiago/172.17.9.220

  Returns:
    The sSLListenAddress value

### getJVMID

    public java.lang.String getJVMID()

  Return the JVMID of the server.

  Returns:
    The jVMID value

### getOpenSocketsCurrentCount

    public int getOpenSocketsCurrentCount()

  Return the current number sockets registered for socket muxing on this server.

  Returns:
    The openSocketsCurrentCount value

### getRestartsTotalCount

    public int getRestartsTotalCount()

  Return the total number of restarts for this server since the cluster was last activated.

  Returns:
    The restartsTotalCount value

### getSocketsOpenedTotalCount

    public long getSocketsOpenedTotalCount()

  Return the total number of registrations for socket muxing on this sever.

  Returns:
    The socketsOpenedTotalCount value

### getWeblogicVersion

    public java.lang.String getWeblogicVersion()

  Return the version of the server

  Returns:
    The weblogicVersion value

### getJVMRuntime

    public JVMRuntimeMBean getJVMRuntime()

  Return the JVMRuntimeMBean for this server.

  Returns:
    The jVMRuntime value

### getServerSecurityRuntime

    public ServerSecurityRuntimeMBean getServerSecurityRuntime()

  Return the ServerSecurityRuntimeMBean for this server.

  Returns:
    The serverSecurityRuntime value

### getClusterRuntime

    public ClusterRuntimeMBean getClusterRuntime()

  Return an mbean which represents this server's view of its cluster, if any.

  Returns:
    The clusterRuntime value

### getAdminServerHost

    public java.lang.String getAdminServerHost()

  Return the address on which admin server is listening for connections. For example this might return the string: santiago

  Returns:
    The adminServerHost value

### getAdminServerListenPort

    public int getAdminServerListenPort()

  Return the port on which admin server is listening for connections.

  Returns:
    The adminServerListenPort value

### isAdminServerListenPortSecure

    public boolean isAdminServerListenPortSecure()

  Return the secureType on which admin server is listening for connections.

  Returns:
    The adminServerListenPortSecure value

### isListenPortEnabled

    public boolean isListenPortEnabled()

  Return if the default listenPort is enabled on the server

  Returns:
    The listenPortEnabled value

### isSSLListenPortEnabled

    public boolean isSSLListenPortEnabled()

  Return if the default lSSListenPort is enabled on the server

  Returns:
    The sSLListenPortEnabled value

### isAdministrationPortEnabled

    public boolean isAdministrationPortEnabled()

  Return if the administrationPort is enabled on the server

  Returns:
    The administrationPortEnabled value

### getHealthState

    public weblogic.health.HealthState getHealthState()

  For Server Health Monitoring.
  Specified by:
    getHealthState in interface weblogic.health.HealthFeedback

  Returns:
    The healthState value

### setHealthState

    public void setHealthState(int state,
                               java.lang.String reason)

  For Server Health Monitoring.

  Parameters:
    `state` - The new healthState value
    `reason` - The new healthState value

### isAdminServer

    public boolean isAdminServer()

  Checks if the server is an administrator server.

  Returns:
    The adminServer value

### getCurrentDirectory

    public java.lang.String getCurrentDirectory()

  Returns the absolute path of the Server's "user.dir" or in other words the directory from which the server was started. This may be used in conjuction with other relative paths on The configuration ServerMBean to computate full paths.

  Returns:
    The currentDirectory value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD